Package com.independentsoft.office.word.math

# Enum Class MathStyle

java.lang.Object
java.lang.Enum<MathStyle>
com.independentsoft.office.word.math.MathStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<MathStyle>`, `Constable`

public enum MathStyle extends Enum<MathStyle>
The Enum MathStyle.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOLD`
  `BOLD_ITALIC`
  `ITALIC`
  `NONE`
  `PLAIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MathStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MathStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOLD

    public static final MathStyle BOLD

  - ### BOLD_ITALIC

    public static final MathStyle BOLD_ITALIC

  - ### ITALIC

    public static final MathStyle ITALIC

  - ### PLAIN

    public static final MathStyle PLAIN

  - ### NONE

    public static final MathStyle NONE

- ## Method Details

  - ### values

    public static MathStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MathStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null